umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
IDChangeLog::Point Class Reference

## Public Member Functions
| Point ()
| Point (const Uml::ID::Type &x, const Uml::ID::Type &y)
virtual | ~Point ()
void | setX (const Uml::ID::Type &x)
Uml::ID::Type | x () const
void | setY (const Uml::ID::Type &y)
Uml::ID::Type | y () const

## Private Attributes
Uml::ID::Type | m_x
Uml::ID::Type | m_y

## Detailed Description

Each change is a Point (x=newID, y=oldID)

## Constructor & Destructor Documentation

## ◆ Point() [1/2]

IDChangeLog::Point::Point | ( |  | ) |
| inline

## ◆ Point() [2/2]

IDChangeLog::Point::Point | ( | const Uml::ID::Type & | x,
|  | const Uml::ID::Type & | y )
| inline

## ◆ ~Point()

virtual IDChangeLog::Point::~Point | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ setX()

void IDChangeLog::Point::setX | ( | const Uml::ID::Type & | x | ) |
| inline

## ◆ setY()

void IDChangeLog::Point::setY | ( | const Uml::ID::Type & | y | ) |
| inline

## ◆ x()

Uml::ID::Type IDChangeLog::Point::x | ( |  | ) | const
| inline

## ◆ y()

Uml::ID::Type IDChangeLog::Point::y | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ m_x

Uml::ID::Type IDChangeLog::Point::m_x
| private

## ◆ m_y

Uml::ID::Type IDChangeLog::Point::m_y
| private

The documentation for this class was generated from the following file:

- umbrello/clipboard/idchangelog.h